#include "loginwindow.h"
#include "ui_loginwindow.h"

#include <QMessageBox>

LoginWindow::LoginWindow(QWidget *parent)
    : QDialog(parent)
    , ui(new Ui::LoginWindow)
{
    ui->setupUi(this);

    setWindowFlag(Qt::FramelessWindowHint);
}

LoginWindow::~LoginWindow()
{
    delete ui;
}


void LoginWindow::on_closeButton_clicked()
{
    this->close();
}


void LoginWindow::mousePressEvent(QMouseEvent *evt)
{
    mOldPos = evt->globalPos();
}

void LoginWindow::mouseMoveEvent(QMouseEvent *evt)
{
    const QPoint delta = evt->globalPos() - mOldPos;
    move(x()+delta.x(), y()+delta.y());
    mOldPos = evt->globalPos();
}

void LoginWindow::submitForm()
{
    if(ui->emailEdit->text().isEmpty()) {
        QMessageBox::warning(this, tr("Error"), tr("Please specify an email address!"));
        return;
    }

    if(ui->passwordEdit->text().isEmpty()) {
        QMessageBox::warning(this, tr("Error"), tr("Please specify your password!"));
        return;
    }
}

void LoginWindow::on_submitButton_clicked()
{
    submitForm();
}
